import path_setting
from in_common.base_request import BaseRequest


class diary_common_reply_request(BaseRequest):
    def __init__(self):
        self.data = self.api_load(path_setting.DIARY_COMMON_REPLY_CONFIG)

    def diary_common_reply(self, id, type):
        self.params["id"] = id
        self.params["type"] = type
        return self.api_send(self.data["vote"])


